package com.hxhq.business.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.hxhq.business.domain.BacteriaJcgj;
import com.hxhq.common.core.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.hxhq.business.mapper.CellJcgjMapper;
import com.hxhq.business.domain.CellJcgj;
import com.hxhq.business.service.ICellJcgjService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 细胞-稽查轨迹Service业务层处理
 *
 * @author hxhq
 * @date 2026-01-12
 */
@Service
public class CellJcgjServiceImpl extends ServiceImpl<CellJcgjMapper, CellJcgj> implements ICellJcgjService
{
    /**
     * 查询细胞-稽查轨迹列表
     *
     * @param cellJcgj 细胞-稽查轨迹
     * @return 细胞-稽查轨迹
     */
    @Override
    public List<CellJcgj> queryList(CellJcgj cellJcgj)
    {
        QueryWrapper<CellJcgj> queryWrapper = Wrappers.query();
        return this.list(queryWrapper);
    }

    @Override
    public void saveJcgj(Long resourceId, Integer jcgjlx, String jcmc, Integer jcmcys, String jcnr, Long jcrId, String jcrMc) {
        CellJcgj jcgj = new CellJcgj();
        jcgj.setCellId(resourceId);
        jcgj.setJcgjlx(jcgjlx);
        jcgj.setJcmc(jcmc);
        jcgj.setJcmcys(jcmcys);
        jcgj.setJcnr(jcnr);
        jcgj.setQmrId(jcrId);
        jcgj.setQmrMc(jcrMc);
        this.save(jcgj);
    }

}
